{% extends "base_generic.html" %}

{% block content %}
    <h1>Book List</h1>
    {% if book_list %}
    <ul>

      {% for book in book_list %}
      <li>
        <a href="{{ book.get_absolute_url }}">{{ book.title }}</a> ({{book.author}})
      </li>
      {% endfor %}

    </ul>
    {% else %}
      <p>There are no books in the library.</p>
    {% endif %}
    <h4>
      {% if perms.catalog.can_update_data %} 
      <a href="{% url 'book_create' %}">[Add Book]</a>  
      {% endif %}
    </h4>

{% endblock %}